/* Styles supplémentaires pour la gestion du menu burger en responsive */
.navbar {
  width: 100%;
  display: flex;
  justify-content: space-between;
  align-items: center;
  /* padding: 1rem; */
  background-color: #083d77; /* Adaptez la couleur de fond au design */
  border-bottom: 1px solid black;
}

.logo {
  padding-left: 1rem;
}

.navbar .logo a {
  text-decoration: none;
  text-transform: none;
  font-size: 1.5rem;
  font-weight: bold;
  color: black; /* Adaptez la couleur du texte au design */
  font-family: "Great Vibes", serif;
  font-weight: 400;
  font-style: normal;
}

.navbar .links {
  display: flex; /* Changez ceci en 'none' dans une requête média pour le mode mobile */
  align-items: center;
}

.navbar .links a {
  margin-left: 1rem;
  font-size: 1rem;
  color: black; /* Adaptez la couleur du texte au design */
  text-decoration: none;
}

.navbar .links a:hover {
  text-decoration: underline;
}

/* Styles pour le menu burger */
.navbar .burger {
  display: none;
  cursor: pointer;
}

.navbar .burger span {
  display: block;
  width: 25px;
  height: 3px;
  margin: 5px;
  background-color: black; /* Adaptez la couleur au design */
}

/* Affichage du burger menu et gestion du menu déroulant en mobile */
@media (max-width: 768px) {
  .navbar .links {
    position: absolute;
    right: 0;
    top: 60px;
    flex-direction: column;
    background-color: white; /* Adaptez au design */
    width: 100%;
    display: none; /* Cachez le menu par défaut */
  }

  .links > * {
    margin: 1rem 0;
  }

  .navbar .links.showMenu {
    display: flex;
  }

  .navbar .burger {
    display: block;
  }
}

/* NAVBAR MOBILE */

.Navbar_nav {
  width: 100%;
  display: flex;
  justify-content: space-between;
  flex-direction: column;
  align-items: flex-start;
  position: fixed;
  top: 0;
  left: 0;
  z-index: 5;
  /* min-height: 15vh; */
  padding: 0;
  color: black;

  /* font-size: x-large; */
  border-bottom: rgb(208, 208, 208) solid 0.6px;
  background-color: white;
  /* background-color: gradient(
    linear,
    left top,
    left bottom,
    from(#000000),
    to(#000000)
  ); */
  /* border-bottom: 1px solid #e5e5e5; */
}

/* .Navbar_div_Test {
  display: flex;
  flex-direction: column;
  align-items: center;
  width: 100%;
  height: 100%;
  padding: 0;
  margin: 0;
} */

.Navbar_nav2 {
  width: 100%;
  display: flex;
  justify-content: space-between;
  flex-direction: column;
  align-items: flex-start;
  position: fixed;
  top: 0;
  left: 0;
  z-index: 5;
  height: vh;
  padding: 0.5rem 0;
  color: white;
  font-size: x-large;
  background-color: rgba(0, 0, 0, 0);
  border-bottom: rgb(208, 208, 208) solid 0.6px;
  /* border-bottom: 1px solid #e5e5e5; */
}

.navbar_scrolled {
  color: black;
  background-color: #fff;
  animation: scale-up-ver-top 0.4s cubic-bezier(0.39, 0.575, 0.565, 1) both;
}

.Navbar_motion_div_logo {
  background-color: transparent;
}

.Navbar_ul_menu {
  position: relative;
  display: flex;
  align-items: center;
  list-style: none;
  margin: 0;
  padding: 0;
}

.Navbar_div_Test {
  position: relative;
  width: 100vw;
  height: 10vh;
  /* background: linear-gradient(
    to bottom,
    rgb(0, 0, 0),
    rgb(54, 54, 54),
    rgba(124, 124, 124, 0.5),
    rgba(255, 255, 255, 0.5),
    rgba(255, 255, 255, 0)
  ); */
  /* background-color: gradient(
    linear,
    left top,
    left bottom,
    from(#000000),
    to(#000000)
  ); */

  /* background-color: rgba(239, 239, 239, 0.312); */
}

.Navbar_div_invisible {
  position: relative;

  width: 100%;
  height: 15vh;
}

.Navbar_div_invisible:hover {
  color: black;
  /* background-color: scale-up-ver-top 0.4s cubic-bezier(0.39, 0.575, 0.565, 1)
    both; */
  /* animation: scale-up-ver-top 0.4s cubic-bezier(0.39, 0.575, 0.565, 1) both; */
}

.Navbar_general_display {
  position: absolute;
  z-index: 10;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.Navbar_logo {
  margin: 10px;
  margin-left: 20px;
  height: 65;
  width: 65;
  padding: 5px;
  background-color: beige;
  border-radius: 30%;
}

.Navbar_logo2 {
  margin: 10px;
  margin-left: 20px;
  padding: 5px;
  height: 65;
  width: 65;
  background-color: transparent;
  border-radius: 10%;
}

.Navbar_li_menu {
  position: relative;
  margin: 0 1rem;
  padding: 0.5rem 0.5rem 0.75rem 0.5rem;
  /* font-size: large; */
  font-size: 1.2rem;
}

/* .Navbar_li_menu:active {
  border-bottom: black solid 1px;
} */
.nav_item {
  margin: 0 1rem;
  padding: 0.5rem 0.5rem;
}

/* .nav_item:active {
  border-bottom: white solid 1px;
} */

#wrapper {
  width: 100%;
  height: 100%;
  overflow: hidden;
  display: block;
  float: left;
}

#wrapper ul {
  display: block;
  width: 50%;
  margin: 0 auto;
  height: 100%;
  text-align: center;
}

/* #wrapper .Navbar_li_menu {
  display: block;
  float: left;
  text-align: center;
  width: 25%;
  height: 100%;
  transition: all ease-in-out 0.2s;
} */
#wrapper link {
  display: block;
  float: left;
  color: white;
  width: 100%;
  padding: 0 0.5em;
  line-height: 50px;
  text-decoration: none;
  /* font-weight: bold; */
}
/* .Navbar_li_menu.different {
  border: none;
  position: relative;
}
.Navbar_li_menu.different:hover {
  border: none;
}
.Navbar_li_menu:hover {
  border-bottom: 5px solid black;
} */

/* .different {
  position: fixed;
  z-index: 10;
} */
.different::after {
  content: "";
  position: absolute;
  width: 0px;
  bottom: 0%;
  height: 2px;
  left: 50%;
  bottom: 0;
  background-color: white;
  transition: all ease-in-out 0.2s;
}

@keyframes scale-up-ver-top {
  0% {
    -webkit-transform: scaleY(0.4);
    transform: scaleY(0.4);
    -webkit-transform-origin: 100% 0%;
    transform-origin: 100% 0%;
  }
  100% {
    -webkit-transform: scaleY(1);
    transform: scaleY(1);
    -webkit-transform-origin: 100% 0%;
    transform-origin: 100% 0%;
  }
}

.different:active::after {
  width: 100%;
  border-bottom: black solid 1px;
}

.different:hover::after {
  width: 100%;
  left: 0;
  cursor: pointer;
}

.different:hover {
  cursor: pointer;
}

.different::after {
  content: "";
  position: absolute;
  width: 0px;
  bottom: 0%;
  height: 0.5px;
  left: 50%;
  bottom: 0;
  background-color: rgb(215, 215, 215);
  transition: all ease-in-out 0.2s;
}

.different2:active::after {
  width: 100%;
  border-bottom: black solid 1px;
}

.different2:hover::after {
  width: 100%;
  left: 0;
  cursor: pointer;
}

.different2:hover {
  cursor: pointer;
}

.different2::after {
  content: "";
  position: absolute;
  width: 0px;
  bottom: 0%;
  height: 2px;
  left: 50%;
  bottom: 0;
  background-color: white;
  transition: all ease-in-out 0.2s;
}

.Navbar_div_menu_mobile {
  display: none;
}

.Navbar_logo_mobile_menu {
  display: none;
  margin-left: 2%;
}

.Navbar_div_menu {
  margin-right: 3%;
}

.Navbar_div_menu_mobile_content {
  display: none;
}

.menu {
  display: none;
}

@media (max-width: 600px) {
  /* .grid {
    width: 100%;
    flex-direction: column;
  } */
  .menu {
    background-color: transparent;
    border: none;
    cursor: pointer;
    display: flex;
    justify-content: center;
    width: 75px;
    margin-right: 20px;
  }
  .line {
    fill: none;
    stroke: white;
    stroke-width: 6;
    transition: stroke-dasharray 600ms cubic-bezier(0.4, 0, 0.2, 1),
      stroke-dashoffset 600ms cubic-bezier(0.4, 0, 0.2, 1);
  }
  .line1Black {
    stroke-dasharray: 60 207;
    stroke-width: 6;
    fill: none;
    stroke: black;
    stroke-width: 6;
    transition: stroke-dasharray 600ms cubic-bezier(0.4, 0, 0.2, 1),
      stroke-dashoffset 600ms cubic-bezier(0.4, 0, 0.2, 1);
  }
  .line1 {
    stroke-dasharray: 60 207;
    stroke-width: 6;
    fill: none;
    stroke: white;
    stroke-width: 6;
    transition: stroke-dasharray 600ms cubic-bezier(0.4, 0, 0.2, 1),
      stroke-dashoffset 600ms cubic-bezier(0.4, 0, 0.2, 1);
  }
  .line3Black {
    stroke-dasharray: 60 207;
    stroke-width: 6;
    fill: none;
    stroke: black;
    stroke-width: 6;
    transition: stroke-dasharray 600ms cubic-bezier(0.4, 0, 0.2, 1),
      stroke-dashoffset 600ms cubic-bezier(0.4, 0, 0.2, 1);
  }
  .line2Black {
    stroke-dasharray: 60 60;
    stroke-width: 6;
    fill: none;
    stroke: black;
    stroke-width: 6;
    transition: stroke-dasharray 600ms cubic-bezier(0.4, 0, 0.2, 1),
      stroke-dashoffset 600ms cubic-bezier(0.4, 0, 0.2, 1);
  }
  .line2 {
    stroke-dasharray: 60 60;
    stroke-width: 6;
    fill: none;
    stroke: white;
    stroke-width: 6;
    transition: stroke-dasharray 600ms cubic-bezier(0.4, 0, 0.2, 1),
      stroke-dashoffset 600ms cubic-bezier(0.4, 0, 0.2, 1);
  }
  .line3 {
    stroke-dasharray: 60 207;
    stroke-width: 6;
    fill: none;
    stroke: white;
    stroke-width: 6;
    transition: stroke-dasharray 600ms cubic-bezier(0.4, 0, 0.2, 1),
      stroke-dashoffset 600ms cubic-bezier(0.4, 0, 0.2, 1);
  }
  .opened {
    display: flex;
    justify-content: center;
    width: 75px;
    margin-right: 20px;
  }
  .opened .line2Black {
    stroke-dasharray: 1 60;
    stroke-dashoffset: -30;
    stroke-width: 6;
    stroke: black;
  }
  .opened .line1 {
    stroke-dasharray: 90 207;
    stroke-dashoffset: -134;
    stroke-width: 6;
    stroke: black;
  }
  .opened .line1Black {
    stroke-dasharray: 90 207;
    stroke-dashoffset: -134;
    stroke-width: 6;
    stroke: black;
  }
  .opened .line2 {
    stroke-dasharray: 1 60;
    stroke-dashoffset: -30;
    stroke-width: 6;
    stroke: black;
  }
  .opened .line3 {
    stroke-dasharray: 90 207;
    stroke-dashoffset: -134;
    stroke-width: 6;
    stroke: black;
  }
  .opened .line3Black {
    stroke-dasharray: 90 207;
    stroke-dashoffset: -134;
    stroke-width: 6;
    stroke: black;
  }
  .Navbar_ul_menu {
    display: none;
  }
  .Navbar_logo_mobile_menu {
    display: flex;
  }
  .Navbar_div_menu_mobile {
    display: flex;
    padding: 2%;
    margin-right: 5%;
    animation: fade-in-bck 0.6s;
  }
  .Navbar_div_menu_mobileSame {
    display: flex;
    padding: 2%;
    margin-right: 5%;
    animation: bounce-in-fwd 1.1s;
  }
  .Navbar_div_menu_mobile_content {
    font-size: x-large;
    display: flex;
    background-color: white;
    border-top: rgb(208, 208, 208) solid 0.6px;

    justify-content: center;
    flex-direction: column;
    position: relative;
    /* margin-top: 15vh; */
    color: black;
    width: 100vw;
    height: 100vh;
    min-height: 85vh;
    animation: scale_in_ver_top 1s cubic-bezier(0.25, 0.46, 0.45, 0.94) both;
  }

  .Navbar_ul_menu_mobile {
    display: flex;
    flex-direction: column;
    /* justify-content: space-around; */
    align-items: center;
    width: 100%;
    height: 50%;
    background-color: white;
    border-radius: 10px;
    padding: 2%;
    margin: auto;
    /* margin-top: 15vh; */
    color: black;
    animation: scale_in_ver_top 1s cubic-bezier(0.25, 0.46, 0.45, 0.94) both;
  }

  .Navbar_li_menu_mobile {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 100%;
    background-color: white;
    border-radius: 10px;
    padding: 1%;
    margin: 1%;
    color: black;
  }

  @keyframes scale_in_ver_top {
    0% {
      transform: scaleY(0);
      transform-origin: 100% 0%;
      opacity: 1;
    }
    100% {
      transform: scaleY(1);
      transform-origin: 100% 0%;
      opacity: 1;
    }
  }
  @keyframes bounce-in-fwd {
    0% {
      transform: scale(0);
      animation-timing-function: ease-in;
      opacity: 0;
    }
    25% {
      transform: scale(0.5);
      animation-timing-function: ease-in;
    }
    55% {
      transform: scale(1);
      animation-timing-function: ease-in;
    }
    75% {
      transform: scale(0.5);
      animation-timing-function: ease-in;
    }
    100% {
      transform: scale(1);
      animation-timing-function: ease-out;
    }
  }
}
